Subject: bug#30345: closed (Re: bug#30345: Acknowledgement (guix refreh --type=kde does not update all KF5 packages))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 10 Sep 2019 17:12:02 +0000

Your bug report

#30345: guix refreh --type=kde does not update all KF5 packages

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30345: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30345
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30345: Acknowledgement (guix refreh --type=kde does not update all KF5 packages)
From: Hartmut Goebel <[email-masked]>
To: [email-masked]
Date: Tue, 10 Sep 2019 19:11:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Closed by http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36919
commit 4eb69bf0d33810886ee118f38989cef696e4c868

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |

Subject: guix refreh --type=kde does not update all KF5 packages
From: Hartmut Goebel <[email-masked]>
To: bug-guix <[email-masked]>
Date: Sun, 4 Feb 2018 14:56:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm again experiencing issues with "guix refresh" and KDE packages:

./pre-inst-env guix refresh --update --type=kde

does not update

* kirigami: the archive is named "kirigami2-*"

  For this, I thought there is some way to tweak guix, but I did not
find it in the manual.

* kdelibs4suport and all other "porting Aids" living in the
sub-directory "/portingAids"

This is like bugs [25020] and [29071]. 25020 says,
026f6a42b680207a59beadf0b0b9cc1753f55605 should solve part of the issue,
but if you look at the second line for the "guix refresh" output in
[#31], you can see that it does not handle the sub-directory

[25020] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25020
[29071] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=29071
[#31] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25020#31

-- 

Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |